Skip to main content
POST
/
v3
/
files
/
multipart-upload
Upload file a part of the file
curl --request POST \
  --url https://{host}/v3/files/multipart-upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form file_id=3c90c3cc-0d44-4b50-8888-8dd25736052a \
  --form part_number=500
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "part_id": 500
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
file
required

Binary file object

file_id
string<uuid>
required

Unique file identifier

part_number
integer
required

Part number of the file in multi-part upload process.

Required range: 1 <= x <= 1000

Response

File part uploaded successfully.

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object